import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiExportService } from "../../services/sti-export.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import * as i0 from "@angular/core";
export declare class StiModalAgreeWindowComponent implements OnInit {
    model: StiModelService;
    exportService: StiExportService;
    loc: StiLocalizationService;
    handleKeyboardEvent(e: KeyboardEvent): void;
    constructor(model: StiModelService, exportService: StiExportService, loc: StiLocalizationService);
    delete(): void;
    accept(): void;
    cancel(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiModalAgreeWindowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiModalAgreeWindowComponent, "sti-modal-agree-window", never, {}, {}, never, never, false, never>;
}
